package cn.com.poc.thirdparty.resource.demand.pay.processor;

/**
 * 支付后置处理器
 *
 * @author alex.yao
 * @date 2024/12/5
 */
public interface AbstractPayPostProcessor {

   boolean support(String payOrderType);

    /**
     * 支付成功后置处理器
     *
     * @param orderSn
     * @return
     */
    boolean postProcessSuccess(String orderSn);


    /**
     * 支付失败后置处理器
     */
    void postProcessFail(String orderSn);
}
